Edit subdomain
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/subDomains/{subDomainUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/subDomains/{subDomainUid}"
payload = { "name": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://cloud.memsource.com/web/api2/v1/subDomains/{subDomainUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}SubDomain
Edit subdomain
Project managers can edit another user’s subdomain only if they have the subDomainOtherEdit access right.
PUT
/
api2
/
v1
/
subDomains
/
{subDomainUid}
Edit subdomain
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the subdomain
Body
application/json
Subdomain data
Name of the subdomain; required, max 255 characters
Maximum string length:
255Was this page helpful?
⌘I